using Sdaleo;
using Sdaleo.Systems.Advantage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace _app
{
    class Program
    {
        
        static void Main(string[] args)
        {
            AdvantageCredential cred = new AdvantageCredential(@"\\medisoft_server\medidata\EMBARK RECOVERY LLC\mwddf.add", "user", "password", AdvantageCredential.ServerType.REMOTE_LOCAL);

            DB db = DB.Create(cred);
            DBRetVal retVal = db.FillDataTable("select top 10 * from mwpat");
            if (!retVal.IsValid)
            {
                Console.WriteLine(retVal.ErrorMsg);
                return;
            }
            else
            {
                Console.WriteLine("Fetched successfully");
            }
        }

    }
}
